2022-05-26 11:06:25 -04:00
|
|
|
---
|
|
|
|
|
aliases:
|
2026-04-29 08:19:49 -04:00
|
|
|
- ../../../../http_api/preferences/ # /docs/grafana/next/http_api/preferences/
|
|
|
|
|
- ../../../../developers/http_api/preferences/ # /docs/grafana/next/developers/http_api/preferences/
|
2026-04-15 06:17:11 -04:00
|
|
|
- ../../../../developer-resources/api-reference/http-api/preferences/ #legacy folder
|
|
|
|
|
canonical: https://grafana.com/docs/grafana/latest/developer-resources/api-reference/http-api/api-legacy/preferences/
|
2022-05-26 11:06:25 -04:00
|
|
|
description: Grafana HTTP API
|
|
|
|
|
keywords:
|
|
|
|
|
- grafana
|
|
|
|
|
- http
|
|
|
|
|
- documentation
|
|
|
|
|
- api
|
|
|
|
|
- preferences
|
Explicitly set all front matter labels in the source files (#71548)
* Set every page to have defaults of 'Enterprise' and 'Open source' labels
Signed-off-by: Jack Baldry <jack.baldry@grafana.com>
* Set administration pages to have of 'Cloud', 'Enterprise', and 'Open source' labels
Signed-off-by: Jack Baldry <jack.baldry@grafana.com>
* Set administration/enterprise-licensing pages to have 'Enterprise' labels
Signed-off-by: Jack Baldry <jack.baldry@grafana.com>
* Set administration/organization-management pages to have 'Enterprise' and 'Open source' labels
Signed-off-by: Jack Baldry <jack.baldry@grafana.com>
* Set administration/provisioning pages to have 'Enterprise' and 'Open source' labels
Signed-off-by: Jack Baldry <jack.baldry@grafana.com>
* Set administration/recorded-queries pages to have labels cloud,enterprise
* Set administration/roles-and-permissions/access-control pages to have labels cloud,enterprise
Signed-off-by: Jack Baldry <jack.baldry@grafana.com>
* Set administration/stats-and-license pages to have labels cloud,enterprise
* Set alerting pages to have labels cloud,enterprise,oss
* Set breaking-changes pages to have labels cloud,enterprise,oss
* Set dashboards pages to have labels cloud,enterprise,oss
* Set datasources pages to have labels cloud,enterprise,oss
* Set explore pages to have labels cloud,enterprise,oss
* Set fundamentals pages to have labels cloud,enterprise,oss
* Set introduction/grafana-cloud pages to have labels cloud
Signed-off-by: Jack Baldry <jack.baldry@grafana.com>
* Fix introduction pages products
Signed-off-by: Jack Baldry <jack.baldry@grafana.com>
* Set panels-visualizations pages to have labels cloud,enterprise,oss
* Set release-notes pages to have labels cloud,enterprise,oss
* Set search pages to have labels cloud,enterprise,oss
* Set setup-grafana/configure-security/audit-grafana pages to have labels cloud,enterprise
Signed-off-by: Jack Baldry <jack.baldry@grafana.com>
* Set setup-grafana/configure-security/configure-authentication pages to have labels cloud,enterprise,oss
* Set setup-grafana/configure-security/configure-authentication/enhanced-ldap pages to have labels cloud,enterprise
* Set setup-grafana/configure-security/configure-authentication/saml pages to have labels cloud,enterprise
* Set setup-grafana/configure-security/configure-database-encryption/encrypt-secrets-using-hashicorp-key-vault pages to have labels cloud,enterprise
* Set setup-grafana/configure-security/configure-request-security pages to have labels cloud,enterprise,oss
Signed-off-by: Jack Baldry <jack.baldry@grafana.com>
* Set setup-grafana/configure-security/configure-team-sync pages to have labels cloud,enterprise
Signed-off-by: Jack Baldry <jack.baldry@grafana.com>
* Set setup-grafana/configure-security/export-logs pages to have labels cloud,enterprise
Signed-off-by: Jack Baldry <jack.baldry@grafana.com>
* Set troubleshooting pages to have labels cloud,enterprise,oss
* Set whatsnew pages to have labels cloud,enterprise,oss
* Apply updated labels from review
Co-authored-by: brendamuir <100768211+brendamuir@users.noreply.github.com>
Co-authored-by: Isabel <76437239+imatwawana@users.noreply.github.com>
---------
Signed-off-by: Jack Baldry <jack.baldry@grafana.com>
Co-authored-by: brendamuir <100768211+brendamuir@users.noreply.github.com>
Co-authored-by: Isabel <76437239+imatwawana@users.noreply.github.com>
2023-07-18 04:10:12 -04:00
|
|
|
labels:
|
|
|
|
|
products:
|
|
|
|
|
- enterprise
|
|
|
|
|
- oss
|
2025-11-13 09:04:57 -05:00
|
|
|
- cloud
|
2024-08-30 04:27:24 -04:00
|
|
|
title: 'Preferences API'
|
2022-05-26 11:06:25 -04:00
|
|
|
---
|
2016-05-18 12:31:59 -04:00
|
|
|
|
|
|
|
|
# User and Org Preferences API
|
|
|
|
|
|
2026-04-16 09:59:25 -04:00
|
|
|
{{< docs/shared lookup="developers/deprecated-apis.md" source="grafana" version="<GRAFANA_VERSION>" >}}
|
2026-04-15 06:17:11 -04:00
|
|
|
|
2016-05-18 12:31:59 -04:00
|
|
|
Keys:
|
|
|
|
|
|
2021-08-06 09:52:36 -04:00
|
|
|
- **theme** - One of: `light`, `dark`, or an empty string for the default theme
|
2025-06-13 08:10:44 -04:00
|
|
|
- **homeDashboardId** - Deprecated. Use `homeDashboardUID` instead.
|
|
|
|
|
- **homeDashboardUID**: The `:uid` of a dashboard
|
2026-01-09 05:57:15 -05:00
|
|
|
- **timezone** - Any valid IANA timezone string (e.g., `America/New_York`, `Europe/London`), `utc`, `browser`, or an empty string for the default.
|
2016-05-18 12:31:59 -04:00
|
|
|
|
|
|
|
|
Omitting a key will cause the current value to be replaced with the
|
|
|
|
|
system default value.
|
|
|
|
|
|
|
|
|
|
## Get Current User Prefs
|
|
|
|
|
|
|
|
|
|
`GET /api/user/preferences`
|
|
|
|
|
|
|
|
|
|
**Example Request**:
|
|
|
|
|
|
2017-10-05 13:01:03 -04:00
|
|
|
```http
|
|
|
|
|
GET /api/user/preferences HTTP/1.1
|
|
|
|
|
Accept: application/json
|
|
|
|
|
Content-Type: application/json
|
|
|
|
|
Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbk
|
|
|
|
|
```
|
2016-05-18 12:31:59 -04:00
|
|
|
|
|
|
|
|
**Example Response**:
|
|
|
|
|
|
2017-10-05 13:01:03 -04:00
|
|
|
```http
|
|
|
|
|
HTTP/1.1 200
|
|
|
|
|
Content-Type: application/json
|
2016-05-18 12:31:59 -04:00
|
|
|
|
2022-04-29 08:37:33 -04:00
|
|
|
{
|
|
|
|
|
"theme": "",
|
|
|
|
|
"homeDashboardId": 217,
|
|
|
|
|
"homeDashboardUID": "jcIIG-07z",
|
|
|
|
|
"timezone": "utc",
|
|
|
|
|
"weekStart": "",
|
|
|
|
|
"navbar": {
|
2024-07-31 08:56:39 -04:00
|
|
|
"bookmarkUrls": null
|
2022-04-29 08:37:33 -04:00
|
|
|
},
|
|
|
|
|
"queryHistory": {
|
|
|
|
|
"homeTab": ""
|
|
|
|
|
}
|
|
|
|
|
}
|
2017-10-05 13:01:03 -04:00
|
|
|
```
|
2016-05-18 12:31:59 -04:00
|
|
|
|
|
|
|
|
## Update Current User Prefs
|
|
|
|
|
|
|
|
|
|
`PUT /api/user/preferences`
|
|
|
|
|
|
|
|
|
|
**Example Request**:
|
|
|
|
|
|
2017-10-05 13:01:03 -04:00
|
|
|
```http
|
|
|
|
|
PUT /api/user/preferences HTTP/1.1
|
|
|
|
|
Accept: application/json
|
|
|
|
|
Content-Type: application/json
|
|
|
|
|
Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbk
|
2016-05-18 12:31:59 -04:00
|
|
|
|
2017-10-05 13:01:03 -04:00
|
|
|
{
|
|
|
|
|
"theme": "",
|
2022-04-29 08:37:33 -04:00
|
|
|
"homeDashboardUID":"home",
|
2017-10-05 13:01:03 -04:00
|
|
|
"timezone":"utc"
|
|
|
|
|
}
|
|
|
|
|
```
|
2016-05-18 12:31:59 -04:00
|
|
|
|
|
|
|
|
**Example Response**:
|
|
|
|
|
|
2017-10-05 13:01:03 -04:00
|
|
|
```http
|
|
|
|
|
HTTP/1.1 200
|
|
|
|
|
Content-Type: text/plain; charset=utf-8
|
2016-05-18 12:31:59 -04:00
|
|
|
|
2017-10-05 13:01:03 -04:00
|
|
|
{"message":"Preferences updated"}
|
|
|
|
|
```
|
2016-05-18 12:31:59 -04:00
|
|
|
|
2022-03-17 08:07:20 -04:00
|
|
|
## Patch Current User Prefs
|
|
|
|
|
|
|
|
|
|
Update one or more preferences without modifying the others.
|
|
|
|
|
|
|
|
|
|
`PATCH /api/user/preferences`
|
|
|
|
|
|
|
|
|
|
**Example Request**:
|
|
|
|
|
|
|
|
|
|
```http
|
|
|
|
|
PATCH /api/user/preferences HTTP/1.1
|
|
|
|
|
Accept: application/json
|
|
|
|
|
Content-Type: application/json
|
|
|
|
|
Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbk
|
|
|
|
|
|
|
|
|
|
{
|
|
|
|
|
"theme": "dark"
|
|
|
|
|
}
|
|
|
|
|
```
|
|
|
|
|
|
|
|
|
|
**Example Response**:
|
|
|
|
|
|
|
|
|
|
```http
|
|
|
|
|
HTTP/1.1 200
|
|
|
|
|
Content-Type: text/plain; charset=utf-8
|
|
|
|
|
|
|
|
|
|
{"message":"Preferences updated"}
|
|
|
|
|
```
|
|
|
|
|
|
2016-05-18 12:31:59 -04:00
|
|
|
## Get Current Org Prefs
|
|
|
|
|
|
|
|
|
|
`GET /api/org/preferences`
|
|
|
|
|
|
|
|
|
|
**Example Request**:
|
|
|
|
|
|
2017-10-05 13:01:03 -04:00
|
|
|
```http
|
|
|
|
|
GET /api/org/preferences HTTP/1.1
|
|
|
|
|
Accept: application/json
|
|
|
|
|
Content-Type: application/json
|
|
|
|
|
Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbk
|
|
|
|
|
```
|
2016-05-18 12:31:59 -04:00
|
|
|
|
|
|
|
|
**Example Response**:
|
|
|
|
|
|
2017-10-05 13:01:03 -04:00
|
|
|
```http
|
|
|
|
|
HTTP/1.1 200
|
|
|
|
|
Content-Type: application/json
|
2016-05-18 12:31:59 -04:00
|
|
|
|
2022-04-29 08:37:33 -04:00
|
|
|
{
|
|
|
|
|
"theme": "",
|
|
|
|
|
"homeDashboardId": 0,
|
2025-06-13 08:10:44 -04:00
|
|
|
"homeDashboardUID": "",
|
2022-04-29 08:37:33 -04:00
|
|
|
"timezone": "",
|
|
|
|
|
"weekStart": "",
|
|
|
|
|
"navbar": {
|
2024-07-31 08:56:39 -04:00
|
|
|
"bookmarkUrls": null
|
2022-04-29 08:37:33 -04:00
|
|
|
},
|
|
|
|
|
"queryHistory": {
|
|
|
|
|
"homeTab": ""
|
|
|
|
|
}
|
|
|
|
|
}
|
2017-10-05 13:01:03 -04:00
|
|
|
```
|
2016-05-18 12:31:59 -04:00
|
|
|
|
|
|
|
|
## Update Current Org Prefs
|
|
|
|
|
|
|
|
|
|
`PUT /api/org/preferences`
|
|
|
|
|
|
|
|
|
|
**Example Request**:
|
|
|
|
|
|
2017-10-05 13:01:03 -04:00
|
|
|
```http
|
|
|
|
|
PUT /api/org/preferences HTTP/1.1
|
|
|
|
|
Accept: application/json
|
|
|
|
|
Content-Type: application/json
|
|
|
|
|
Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbk
|
2016-05-18 12:31:59 -04:00
|
|
|
|
2017-10-05 13:01:03 -04:00
|
|
|
{
|
|
|
|
|
"theme": "",
|
2022-04-29 08:37:33 -04:00
|
|
|
"homeDashboardUID":"home",
|
2017-10-05 13:01:03 -04:00
|
|
|
"timezone":"utc"
|
|
|
|
|
}
|
|
|
|
|
```
|
2016-05-18 12:31:59 -04:00
|
|
|
|
|
|
|
|
**Example Response**:
|
|
|
|
|
|
2017-10-05 13:01:03 -04:00
|
|
|
```http
|
|
|
|
|
HTTP/1.1 200
|
|
|
|
|
Content-Type: text/plain; charset=utf-8
|
2016-05-18 12:31:59 -04:00
|
|
|
|
2017-10-05 13:01:03 -04:00
|
|
|
{"message":"Preferences updated"}
|
2021-08-06 09:52:36 -04:00
|
|
|
```
|
2022-03-17 08:07:20 -04:00
|
|
|
|
|
|
|
|
## Patch Current Org Prefs
|
|
|
|
|
|
|
|
|
|
Update one or more preferences without modifying the others.
|
|
|
|
|
|
|
|
|
|
`PATCH /api/org/preferences`
|
|
|
|
|
|
|
|
|
|
**Example Request**:
|
|
|
|
|
|
|
|
|
|
```http
|
|
|
|
|
PATCH /api/org/preferences HTTP/1.1
|
|
|
|
|
Accept: application/json
|
|
|
|
|
Content-Type: application/json
|
|
|
|
|
Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbk
|
|
|
|
|
|
|
|
|
|
{
|
|
|
|
|
"theme": "dark"
|
|
|
|
|
}
|
|
|
|
|
```
|
|
|
|
|
|
|
|
|
|
**Example Response**:
|
|
|
|
|
|
|
|
|
|
```http
|
|
|
|
|
HTTP/1.1 200
|
|
|
|
|
Content-Type: text/plain; charset=utf-8
|
|
|
|
|
|
|
|
|
|
{"message":"Preferences updated"}
|
|
|
|
|
```
|